Bug 475572 - [LTC 5.4 FEAT] HiperSockets Layer3 support for IPv6 [201751]
[LTC 5.4 FEAT] HiperSockets Layer3 support for IPv6 [201751]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: 5.4
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 RHEL5u4_relnotes 483701 483784
  Show dependency treegraph
 
Reported: 2008-12-09 12:31 EST by IBM Bug Proxy
Modified: 2011-12-02 14:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The qeth driver has been updated with HiperSockets Layer3 support for IPv6. For more details, refer to the "qeth device driver for OSA-Express (QDIO) and HiperSockets" chapter in IBM's "Device Drivers, Features, and Commands" book located at: http://www.ibm.com/developerworks/linux/linux390/october2005_documentation.html http://www.ibm.com/developerworks/linux/linux390/development_documentation.html
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.18-s390-qeth-hsipv6.patch (3.15 KB, text/plain)
2009-01-23 05:43 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50359 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 12:31:28 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201751]
a. Name of Feature:	HiperSockets Layer3 support for IPv6
b. Feature Description
Enable qeth to support ipv6 for HiperSockets Layer3

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Backport
Category:	Networking
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.26

3. Business Case
This feature will allow to run ipv6-traffic with other ipv6-enabled partners using layer3 (for
instance zOS).

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 John Jarvis 2008-12-18 17:40:47 EST
Are any components other than kernel affected by this feature?
Comment 2 IBM Bug Proxy 2009-01-13 04:50:35 EST
(In reply to comment #4)
> Are any components other than kernel affected by this feature?
>

No. Unless there the installation and tools to configure IPv6 differentiate (follow different code paths) between OSA and HiperSockets devices.
Please check with David Cantrell (installation) and Harald Hoyer (tools) if they see the need.
Comment 3 IBM Bug Proxy 2009-01-23 05:43:38 EST
Created attachment 329804 [details]
linux-2.6.18-s390-qeth-hsipv6.patch
Comment 4 Hans-Joachim Picht 2009-02-12 12:15:23 EST
The patch has been posted to rhkernel on Feb 12. by Hans-Joachim Picht
<hpicht@redhat.com>
Comment 5 RHEL Product and Program Management 2009-02-16 10:14:57 EST
Updating PM score.
Comment 6 IBM Bug Proxy 2009-02-18 10:01:30 EST
Please do not forget to update documentation and/or release notes as mentioned in eSDT call:

Enable qeth to support ipv6 for HiperSockets Layer3
??? More details under:
??? ???qeth device driver for OSA-Express (QDIO) and HiperSockets??? in latest version of Device Drivers, Features, and Commands at:
??? http://www.ibm.com/developerworks/linux/linux390/october2005_documentation.html
??? http://www.ibm.com/developerworks/linux/linux390/development_documentation.html

Thank you!
Comment 7 Don Zickus 2009-04-06 17:17:38 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 9 John Jarvis 2009-05-12 15:20:30 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Enable qeth to support ipv6 for HiperSockets Layer3

More details under:
qeth device driver for OSA-Express (QDIO) and HiperSockets in latest version of Device Drivers, Features, and Commands at:  http://www.ibm.com/developerworks/linux/linux390/october2005_documentation.html

http://www.ibm.com/developerworks/linux/linux390/development_documentation.html
Comment 10 Chris Ward 2009-06-14 19:18:29 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 11 Chris Ward 2009-07-03 14:16:51 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 12 Chris Ward 2009-07-10 15:08:17 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 13 IBM Bug Proxy 2009-07-14 05:01:48 EDT
------- Comment From mgrf@de.ibm.com 2009-07-14 04:56 EDT-------
This feature is verified OK on RHEL 5.4 beta.
Closing feature request.
Thanks
Comment 14 Ryan Lerch 2009-07-26 19:45:25 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,6 +1,6 @@
-Enable qeth to support ipv6 for HiperSockets Layer3
+The qeth driver has been updated with HiperSockets Layer3 support for IPv6.
 
-More details under:
-qeth device driver for OSA-Express (QDIO) and HiperSockets in latest version of Device Drivers, Features, and Commands at:  http://www.ibm.com/developerworks/linux/linux390/october2005_documentation.html
+For more details, refer to the "qeth device driver for OSA-Express (QDIO) and
+HiperSockets" chapter in IBM's "Device Drivers, Features, and Commands" book located at:  http://www.ibm.com/developerworks/linux/linux390/october2005_documentation.html
 
 http://www.ibm.com/developerworks/linux/linux390/development_documentation.html
Comment 16 errata-xmlrpc 2009-09-02 04:23:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.